Commit 1ee89713 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Updated docker setup. Updated version info.

parent b451d1e8
Pipeline #1228 passed with stage
in 7 minutes and 32 seconds
......@@ -13,8 +13,8 @@ from .processing.process_controller import process_controller # noqa: E402
__author__ = """Daniel Scheffler"""
__email__ = 'daniel.scheffler@gfz-potsdam.de'
__version__ = '0.7.0'
__versionalias__ = '20170922.02'
__version__ = '0.7.1'
__versionalias__ = '20170925.01'
__all__ = ['algorithms',
'io',
'misc',
......
......@@ -23,7 +23,7 @@ test_requirements = requirements + ['coverage', 'nose', 'nose-htmloutput', 'redn
setup(
name='gms_preprocessing',
version='0.7.0',
version='0.7.1',
description="GeoMultiSens - Scalable Multi-Sensor Analysis of Remote Sensing Data",
long_description=readme + '\n\n' + history,
author="Daniel Scheffler",
......
......@@ -8,23 +8,15 @@ RUN /bin/bash -i -c "cd /root; wget https://repo.continuum.io/archive/$anaconda_
rm -f /root/$anaconda_dl"
# 'conda install --yes -c conda-forge 'icu=58.*' lxml' fixing a bug for conda-forge gdal build, as of 06/2017
# install fmask and rios explicitly without dependencies -> install dependencies (one by one in order to definitly exclude gdal)
# holoviews and bokeh is only needed for geoarray because its not installable via pip during geoarray.setup.py
RUN /bin/bash -i -c "source /root/anaconda3/bin/activate ; \
conda install --yes pyqt coverage numba; \
conda install --yes -c conda-forge gdal ; \
conda install --yes pyqt numba; \
conda install --yes -c conda-forge pyfftw=0.10.4 ; \
conda install --yes -c ioam holoviews bokeh ; \
conda install --yes -c conda-forge numpy gdal scikit-image matplotlib pyproj rasterio shapely basemap pykrige \
glymur pygrib pyproj cachetools pyhdf ephem python-fmask
conda install --yes -c conda-forge 'icu=58.*' lxml ; \
conda install --yes -c conda-forge glymur pygrib rasterio pyproj cachetools pyhdf ephem ; \
conda install --yes -c conda-forge python-fmask=0.4.4 rios=1.4.3 --no-deps ; \
conda install --yes -c conda-forge freexl=1.0.2 ; \
conda install --yes -c conda-forge giflib=5.1.4 ; \
conda install --yes -c conda-forge json-c=0.12 ; \
conda install --yes -c conda-forge kealib=1.4.6 ; \
conda install --yes -c conda-forge libdap4=3.18.3 ; \
conda install --yes -c conda-forge libnetcdf=4.4.1.1 ; \
conda install --yes -c conda-forge olefile=0.44 ; \
conda install --yes xerces-c ; \
pip install shapely geopandas dicttoxml jsmin cerberus pyprind pint iso8601 tqdm mpld3 sphinx-argparse \
pip install geopandas dicttoxml jsmin cerberus pyprind pint iso8601 tqdm mpld3 sphinx-argparse \
spectral psycopg2 pyorbital pyinstrument geoalchemy2 py_tools_ds geoarray arosics \
flake8 pycodestyle pylint pydocstyle nose nose2 nose-htmloutput coverage rednose" # must include all the requirements needed to build the docs!
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment